Bug 48622 - Line thickness specification - too many choices, nonintuitive
Summary: Line thickness specification - too many choices, nonintuitive
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
unspecified
Hardware: Other All
: medium enhancement
Assignee: Samuel Mehrbrodt (allotropia)
URL:
Whiteboard: target:7.3.0 target:7.4.0 target:7.3....
Keywords:
Depends on:
Blocks: Cell-Border
  Show dependency treegraph
 
Reported: 2012-04-12 14:49 UTC by Milos Sramek
Modified: 2022-01-26 12:33 UTC (History)
11 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments
A mockup of eventual GUI changes related to line/frame thickness width (111.64 KB, application/vnd.oasis.opendocument.graphics)
2012-04-13 01:16 UTC, Milos Sramek
Details
Excel border choices (1.52 KB, image/png)
2021-04-20 09:14 UTC, Samuel Mehrbrodt (allotropia)
Details
The ruled line of Writer is 0.05pt. (105.39 KB, image/png)
2021-10-05 00:52 UTC, Junichi Matsukawa
Details
The default border for Calc formatting. (104.45 KB, image/png)
2021-10-05 00:55 UTC, Junichi Matsukawa
Details
The default value of the Calc ruled line icon is 0.05pt. (136.82 KB, image/png)
2021-10-05 00:59 UTC, Junichi Matsukawa
Details
Screenshot (91.93 KB, image/png)
2021-10-05 09:26 UTC, Heiko Tietze
Details
I tested the improvement. "Custom" display is not good. (74.18 KB, image/png)
2021-11-06 01:06 UTC, Junichi Matsukawa
Details
Description of Fixes and Improvements (166.24 KB, application/vnd.oasis.opendocument.graphics)
2021-11-08 15:06 UTC, Rafael Lima
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Milos Sramek 2012-04-12 14:49:53 UTC
If a line/frame/cell border thickness is to be specified, a user has too many options: he/she should directly specify numerical value of the thickness.

From the usability point of view there are several issues:

- It is likely that most users just need only a couple of options (thin, medium, thick - or eventually 5 levels)
- If several thicknesses are used, one should remember the values 
- the value is expressed in the measurement unit, specified in Tools/Options... If one wants a thin (medium, thick) line, which value is appropriate? 0,5mm? 0.01 inch? I do not know
- if one opens such file in different LO with different unit settings, he/she gets different numbers
- stepping of the numerical field is not fine enough (1mm steps)
- we have two different widgets for that - one for graphical objects (lines...) and one for borders of frames and cells. They are not consistent:
    *If the same value is specified there, the actual thickness of lines and frames is different (try a 0.5pt line and cell border in calc - the daily LO3.6 was used)
    *Thin line has 0pt, thin border 0.05pt
    *Increment in line setting is 1(pt), in borders 0.25
 
So, a mess. I know about a company, which switched to LO - unintuitive setting of border thickness in Calc is the most hated feature among many users there.

Perhaps, just simple change in UI of both widgets would improve the situation significantly. 
1. Instead of the numeric field alone, give the user a possibility to choose from "thin", "medium", "thick" line and add a "more" button, which would open the numeric field for setting arbitrary dimensions. 
2. In Calc, extend the "Borders" options (which currently offers 3x4 combinations of thin borders) to 5x12 offers of thin, medium, thick, double... lines with all 12 combinations.

I believe this is not that much work. 
Milos
Comment 1 Markus Mohrhard 2012-04-12 15:19:12 UTC
There are nearly no trivial tasks in a code base as large as LibO. if you want to prove me wrong please start implementing it: I can give you some code pointers.
Comment 2 Milos Sramek 2012-04-13 01:16:12 UTC
Created attachment 59895 [details]
A mockup of eventual GUI changes related to line/frame thickness width

(In reply to comment #1)
> There are nearly no trivial tasks in a code base as large as LibO. if you want
> to prove me wrong please start implementing it: I can give you some code
> pointers.

I did not mean "trivial" in the programmers sense, just "simple" from the point of view of the GUI. I can give it a try, please send me the pointers.

Meanwhile, I played a little with the GUI, it looks like there is enough space for the changes. My mockups are attached.
M
Comment 3 bfoman (inactive) 2012-10-12 11:32:17 UTC
Did you try to post your usability enhancement proposals on libreoffice-ux-advise@lists.freedesktop.org list? More people thinking your way, more chances someone will pick this bug up and implement.
Comment 4 Stefan Knorr (astron) 2012-10-13 20:38:59 UTC
Setting as duplicate of the other borders UI bug...

*** This bug has been marked as a duplicate of bug 47194 ***
Comment 5 Stefan Knorr (astron) 2012-10-13 20:42:31 UTC
Sorry... setting that as duplicate was probably unnecessary as this has quite a different scope.
Comment 6 Emir Sarı 2012-10-19 17:35:30 UTC
IMHO this should be a real priority about Calc development. All my LO using friends (including me) are frustrated about not being able to set cell border thickness and cell border options when multiple cells are selected in an easy way. 

+1
Comment 7 Joel Madero 2014-11-06 21:06:19 UTC
Never independently confirmed by QA - moving to UNCONFIRMED.
Comment 8 Robinson Tryon (qubit) 2014-11-11 21:52:47 UTC
Sounds like a plausible enhancement, and there's some good conversation about implementing changes, so: Status -> NEW
Comment 9 Cor Nouws 2015-01-29 07:41:07 UTC
from what I remember developers that worked on border lines in the past, had great concerns about backwards compatibility. Just saying..
Comment 10 Samuel Mehrbrodt (allotropia) 2021-04-20 09:14:17 UTC
Created attachment 171302 [details]
Excel border choices
Comment 11 Samuel Mehrbrodt (allotropia) 2021-04-20 09:15:53 UTC
(In reply to Cor Nouws from comment #9)
> from what I remember developers that worked on border lines in the past, had
> great concerns about backwards compatibility. Just saying..

No issues with backwards compatibility to be expected here - custom values are still possible.

My comments on attachment 59895 [details]:
Page 2-4 (Line dialog): Agree, should be implemented
Page 5-7 (Border dialog): Agree, should be implemented
Page 8: Including three different line styles in the Toolbar dropdown is overkill and makes the dropdown hard to understand. Keep the dropdown as it is, just add the "More ..." button at the bottom which opens the Border dialog.
Page 9: Out of scope. Would move that to a new task. Not sure if it's needed at all.

For the line thickness choices, I would go with three defaults, as Milos suggested (thin, medium, thick). Please use the same thickness values for these as Excel uses, to improve compatibility (Excel also has three line thicknesses). Default should be "thin".
See attachment 171302 [details] for the choices Excel offers.
Comment 12 Samuel Mehrbrodt (allotropia) 2021-04-20 09:27:06 UTC
I just noticed that the Sidebar in Calc has a "Cell appearance" Panel meanwhile. The line thickness dropdown there also needs reworking, so that it contains the three new default thicknesses.
Comment 13 Heiko Tietze 2021-04-20 10:54:10 UTC
Sidebar shows 8 (random?) steps plus custom in pt, shape > line dialogs use units from options or pt for any border and do not have presets.

Would also expect consistency but apparently we just have to rework shapes. I wouldn't mix presets and exact value, the sidebar dropdown could benefit from a few less items - and nicer naming like hairline 0pt (=0.05pt), thin 0.5, medium 0.75, large 1.5, extra large 2.5 (I'm switching from thickness to size... "thick" sounds weird; we could use XS,S,M,L,XL too). No direct input of values via sidebar (pretty sure this idea based on the KISS principle is not widely accepted).

About units I prefer "micro-management" (units can be changed per control, see bug 72662), while other prefer better and maybe more default units or recommend to define a unit per function. In case of line thickness I would stick to point.
Comment 14 Commit Notification 2021-09-27 15:15:46 UTC
Vasily Melenchuk committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/089c7d05fde13251eb8cd8daaf7627b6bb0072f9

tdf#48622 add border line thickness predefined values in UI

It will be available in 7.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 15 Junichi Matsukawa 2021-10-05 00:52:29 UTC
Created attachment 175518 [details]
The ruled line of Writer is 0.05pt.

I want the default value of the ruled line to be 0.75pt.
I think the 0.05pt ruled line is too thin.

Version: 7.2.2.1 (x64) / LibreOffice Community
Build ID: 0e408af0b27894d652a87aa5f21fe17bf058124c
CPU threads: 4; OS: Windows 10.0 Build 19042; UI render: Skia/Raster; VCL: win
Locale: ja-JP (ja_JP); UI: en-US
Calc: CL
Comment 16 Junichi Matsukawa 2021-10-05 00:55:29 UTC
Created attachment 175519 [details]
The default border for Calc formatting.

The default ruled line width for Calc formatting is 0.75pt, so it's easy to use.

Version: 7.2.2.1 (x64) / LibreOffice Community
Build ID: 0e408af0b27894d652a87aa5f21fe17bf058124c
CPU threads: 4; OS: Windows 10.0 Build 19042; UI render: Skia/Raster; VCL: win
Locale: ja-JP (ja_JP); UI: en-US
Calc: CL
Comment 17 Junichi Matsukawa 2021-10-05 00:59:16 UTC
Created attachment 175520 [details]
The default value of the Calc ruled line icon is 0.05pt.

The default value of the Calc ruled line icon is 0.05pt.
I want the default value to be 0.75pt because the 0.05pt width of the Calc ruled line icon is too thin.

Version: 7.2.2.1 (x64) / LibreOffice Community
Build ID: 0e408af0b27894d652a87aa5f21fe17bf058124c
CPU threads: 4; OS: Windows 10.0 Build 19042; UI render: Skia/Raster; VCL: win
Locale: ja-JP (ja_JP); UI: en-US
Calc: CL
Comment 18 Heiko Tietze 2021-10-05 07:17:19 UTC
Samuel proposes in his patch (1) based on what's implemented in MSO the following levels:

* Hairline (0.5pt)
* Thin (0.75pt)
* Medium (2pt)
* Thick (4pt)
* Extra thick (5pt)

Any objections? IIRC, hairline needs to be as thin as possible.

(1) https://gerrit.libreoffice.org/c/core/+/122683
Comment 19 Regina Henschel 2021-10-05 08:51:03 UTC
"Hairline" has a special meaning and should not be uses in this context. I suggest "Very Thin".
Comment 20 Heiko Tietze 2021-10-05 09:26:52 UTC
Created attachment 175530 [details]
Screenshot

That's how it looks: hairline, thin, medium, thick, extra tick line width for the borders around paragraphs. It nicely picks up "thin" for some of the predefined table styles, and Calc also uses this as defaults for cell borders. Any other value would be "Custom" with the spin edit as of today.

The patch affects only borders and not the width of ordinary lines. So we still get a large list in the sidebar with 0.5/0.8/1.0/1.5/2.3/3.0/4.5/6.0/+. Other line width selections are done with spin edits, AFAIK.

The hairline discussion was done in bug 99027. The value of 0.05 means 1px for all devices (see c4). Would summarize the discussion as: 0.05 is good for screens while (low-resolution) printer benefit from thicker borders.
(The "Default" table style uses 0.5pt, "None" - used when going through the menu - 0.05pt).

MSO2016 lists fractions ¼, ½, ¾, 1, 1½, 2¼, 3, 4½, 6pt (I don't see any difference before 1pt). My source might not be up to date.

My take: real hairlines are relevant and we should have 0.05pt in the list. Defaulting to 0.5pt sounds good to me. Wouldn't follow MSO but rather go with 0.05 (hairline), 0.5 (thin), 1 (medium), 2 (thick) and 4 (extra thick). We should also use these values (plus the last custom) for ordinary lines.
Comment 21 Tomaz Vajngerl 2021-10-06 14:04:50 UTC
A hairline is a constant 1 device pixel thick, independent of the DPI and zoom level and is drawn only when the size is set to exactly 0. A 0.05pt size is not a hairline, if you could actually set that or is a hairline if rounded down to 0pt because of the UI constraints (which is another problem).  

On the UI - "Hairline" should be an option - which sets the width to exactly 0, and then other options. For the "Hairline", the line width shouldn't be mentioned.
Comment 22 Heiko Tietze 2021-10-07 14:19:33 UTC
Proposal (approved by ESC) is to use 0.05 (very thin), 0.5 (thin), 1.5 (medium), 2.25 (thick), and 4.5pt (extra thick) - these should be reasonable good steps and cover some of the predefined options from MSO. Shouldn't be too difficult to adjust later.

To fix the actual issue the patch should be not limited to only borders but all lines (shapes) including the configuration cia sidebar. This list contains of somewhat random values.
Comment 23 Regina Henschel 2021-10-07 16:23:29 UTC
(In reply to Heiko Tietze from comment #22)
> To fix the actual issue the patch should be not limited to only borders but
> all lines (shapes) including the configuration cia sidebar. This list
> contains of somewhat random values.

I would not treat shape lines similar to border. They are very different, see 20.183 fo Border Properties in part 3 ODF 1.3, and look for 'stroke' for shape lines properties.
Comment 24 Heiko Tietze 2021-10-07 16:32:52 UTC
(In reply to Regina Henschel from comment #23)
> I would not treat shape lines similar to border. They are very different,
> see 20.183 fo Border Properties in part 3 ODF 1.3, and look for 'stroke' for
> shape lines properties.

The list of predefined line widths is defined in the ODF?
Comment 25 Regina Henschel 2021-10-07 22:48:38 UTC
(In reply to Heiko Tietze from comment #24)
> (In reply to Regina Henschel from comment #23)
> > I would not treat shape lines similar to border. They are very different,
> > see 20.183 fo Border Properties in part 3 ODF 1.3, and look for 'stroke' for
> > shape lines properties.
> 
> The list of predefined line widths is defined in the ODF?

Borders in ODF are defined as in CSS2. That has -besides a length as value- the identifiers thin, medium and thick, but does not define a value for them. The default value is 'medium'. In regard to tables they belong to the table-cell-properties.
Lines of shapes are 'strokes' as defined in SVG. They have a length for stroke-width. They belong to graphic-properties in ODF and as such are not applicable to tables.
There is no predefined list of widths, neither for border nor for strokes. 

I mean, that styles of borders and stroke are too different (technically and in appearance) to use a common preset of widths. Lines (stroke) can be solid or dashed. From CSS2 borders can be dotted, dashed, solid, double, groove, ridge, inset or outset. ODF allows variants to "double" and LibreOffice uses that.

To introduce the same user interface for borders and strokes would reinforce the false view that borders and strokes are the same thing.

I'm fine with changing the UI for borders, but disagree to use the same UI for shapes.
Comment 26 Heiko Tietze 2021-10-08 07:45:26 UTC
The request here is to have less choices and to make it more intuitive. Samuel's patch changes the spin edits for border width showing it only if the dropdown with predefined choices is set to Custom. We rather increase the complexity in the property dialogs.

I guess the actual issue is more about the widths of simple line at the sidebar with currently 0.5, 0.8, 1.0, 1.5, 2.3, 3.0, 4.5, 6.0pt. I don't see any other place with "too many choices". In principle I support the idea of having only a few predefined values at hand (dropdown with presets in sidebar and toolbar) and the free configurability per dialog (dropdown/spin edit as done in the patch).

When it comes to tables we should focus on table styles where 0.5pt is defined in most if not all presets.
Comment 27 Samuel Mehrbrodt (allotropia) 2021-10-18 08:15:10 UTC
(In reply to Heiko Tietze from comment #22)
> Proposal (approved by ESC) is to use 0.05 (very thin), 0.5 (thin), 1.5
> (medium), 2.25 (thick), and 4.5pt (extra thick) - these should be reasonable
> good steps and cover some of the predefined options from MSO.

Ok, am basically fine with that. But I would suggest two changes:
* The thinnest line should be called "Hairline".
* I would add a "very thin" (0.5pt) and a "thin" (0.75pt) width. The reason is that Calc uses 0.75pt as default. This was done to improve compatibility with Excel which has the same default. Changing that is out of scope I guess.

So my proposal is that the new list should look like this:

* Hairline (0.05 or 0pt)
* Very thin (0.5pt)
* Thin (0.75pt)
* Medium (1.5pt)
* Thick (2.25pt)
* Extra thick (4.5pt)
Comment 28 Heiko Tietze 2021-10-18 08:44:08 UTC
(In reply to Samuel Mehrbrodt (allotropia) from comment #27)
> But I would suggest two changes:
Regina suggested in comment 19 to use a more common label but I don't have concerns to use "hairline" with the accurate technical term having our expert users in mind. 

> * I would add a "very thin" (0.5pt) and a "thin" (0.75pt) width.
Compatibility is a good reason to accept this IMO too small difference.
Comment 29 Commit Notification 2021-11-04 08:08:40 UTC
Samuel Mehrbrodt committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/41b99644e8913dd4797775f4931382e93fa12a00

tdf#48622 Add new border line width defaults

It will be available in 7.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 30 Junichi Matsukawa 2021-11-06 01:06:12 UTC
Created attachment 176131 [details]
I tested the improvement. "Custom" display is not good.

I tested the improvement. "Custom" display is not good.

Version: 7.3.0.0.alpha1 (x64) / LibreOffice Community
Build ID: a3c29ae3d906f4692090bd4e5dab29623c66014a
CPU threads: 4; OS: Windows 10.0 Build 19042; UI render: Skia/Raster; VCL: win
Locale: ja-JP (ja_JP); UI: ja-JP
Calc: CL
Comment 31 Commit Notification 2021-11-08 09:44:08 UTC
Samuel Mehrbrodt committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/cd116a1b6775777f393990cc3419733164dee52f

tdf#48622 Adapt sidebar line styles to new defaults

It will be available in 7.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 32 Rafael Lima 2021-11-08 15:06:22 UTC
Created attachment 176155 [details]
Description of Fixes and Improvements

This file illustrates the proposed fixes and improvements to the current implementation.
Comment 33 Rafael Lima 2021-11-08 15:14:51 UTC
@Samuel, I was testing your patch on the current LO 7.3 alpha (build from Nov 8) and I found a few bugs and suggestions for improvement:

FIXES
1) The "Custom" option in the "Format Cells - Borders" dialog is not spanning correctly, which makes it hard to use it (see page 1 in the attached ODG file)

ENHANCEMENTS:
1) The new "Width" dropdown should be available in the sidebar as well. Currently there's no way to set the border width from the sidebar (see page 1 in the attached ODG file)

2) The default "Hairline" width does not play nicely in Excel. For better MS compatibility is would be better to use the "Thin" or "Very Thin" width options (see page 1 in the attached ODG file). I know that this is not on you, but we could take the opportunity to change this default and improve MS compatibility.

3) The current sidebar "Line Style" dropdown does not offer useful options to the user, since it mixes a predefined set of line styles and widths; it would be better to have a dropdown that only shows line styles (as proposed in page 2 of the attached ODG file) alongside the new width dropdown that was implemented in the dialog.

System info:
Version: 7.3.0.0.alpha1+ / LibreOffice Community
Build ID: 73334560b2dd2d60ac58d2cc2b1a5295490b03e1
CPU threads: 16; OS: Linux 5.13; UI render: default; VCL: kf5 (cairo+xcb)
Locale: pt-BR (pt_BR.UTF-8); UI: en-US
Calc: threaded
Comment 34 Commit Notification 2021-11-09 09:13:21 UTC
Samuel Mehrbrodt committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/3746379f251091696b73463f7b27e8ef732dd20b

tdf#48622 Fix layout issue when "Custom" was selected

It will be available in 7.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 35 Samuel Mehrbrodt (allotropia) 2021-11-09 09:25:40 UTC
(In reply to Junichi Matsukawa from comment #30)
> I tested the improvement. "Custom" display is not good.

Thanks, fixed with above commit.

(In reply to Rafael Lima from comment #33)
> @Samuel, I was testing your patch on the current LO 7.3 alpha (build from
> Nov 8) and I found a few bugs and suggestions for improvement:
> 
> FIXES
> 1) The "Custom" option in the "Format Cells - Borders" dialog is not
> spanning correctly, which makes it hard to use it (see page 1 in the
> attached ODG file)

Already reported by Junichi, fixed now.
 
> ENHANCEMENTS:
> 1) The new "Width" dropdown should be available in the sidebar as well.
> Currently there's no way to set the border width from the sidebar (see page
> 1 in the attached ODG file)

There is a border width dropdown in the sidebar, at least in Calc.
If it needs improvement, please file a separate bug.

> 2) The default "Hairline" width does not play nicely in Excel. For better MS
> compatibility is would be better to use the "Thin" or "Very Thin" width
> options (see page 1 in the attached ODG file). I know that this is not on
> you, but we could take the opportunity to change this default and improve MS
> compatibility.

Calc already uses 0.75pt as default. If that's not the case in all places, it's a bug and should be fixed.

> 
> 3) The current sidebar "Line Style" dropdown does not offer useful options
> to the user, since it mixes a predefined set of line styles and widths; it
> would be better to have a dropdown that only shows line styles (as proposed
> in page 2 of the attached ODG file) alongside the new width dropdown that
> was implemented in the dialog.

Please think from a end user perspective - most users don't need 300% control over line width and style, just a good set of default borders which do fine both on screen and printing is enough for the majority of the users.
Anyway, if you think this needs discussion/improvement, please file a new bug.

Will close this bug now - any additional ideas please in new bug reports.
Comment 36 Rafael Lima 2021-11-09 15:36:18 UTC
Samuel, could you please just confirm a few things so I can determine if a new bug report is needed?

> Calc already uses 0.75pt as default. If that's not the case in all places, it's a bug and 
> should be fixed.

Whenever I apply borders from the Standard Toolbar or from the Sidebar, the applied line has the "Hairline" width, which is 0.05 pt.

In which situation is the default 0.75pt applied? I could not find any situation where the default border is 0.75pt.

> There is a border width dropdown in the sidebar, at least in Calc.
> If it needs improvement, please file a separate bug.

When I originally tested the sidebar it was different than it is now... I have just built it from source again and the dropdown now has the width options.

However, I think an additional entry in the sidebar allowing fine tuning of border width (as is done with shapes) would be desirable. Maybe I'll create an additional enhancement request about this.
Comment 37 Samuel Mehrbrodt (allotropia) 2021-11-22 08:40:39 UTC
(In reply to Rafael Lima from comment #36)
> Samuel, could you please just confirm a few things so I can determine if a
> new bug report is needed?
> 
> > Calc already uses 0.75pt as default. If that's not the case in all places, it's a bug and 
> > should be fixed.
> 
> Whenever I apply borders from the Standard Toolbar or from the Sidebar, the
> applied line has the "Hairline" width, which is 0.05 pt.
> 
> In which situation is the default 0.75pt applied? I could not find any
> situation where the default border is 0.75pt.

When you open the "Format Cell" dialog on a non-formatted cell, and go to the "Borders" tab, the default is "thin" (0.75pt). That should be the default everywhere.

Can't find the bug/commit currently where this was done originally.
Comment 38 Commit Notification 2021-12-07 17:46:23 UTC
Armin Le Grand (Allotropia) committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/8995bc21ee570c9a914df71817a132c3b3637059

tdf#48622, tdf#145828 use correct default for border line width

It will be available in 7.4.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 39 Commit Notification 2021-12-08 07:52:52 UTC
Armin Le Grand (Allotropia) committed a patch related to this issue.
It has been pushed to "libreoffice-7-3":

https://git.libreoffice.org/core/commit/ef75bac5e69df10315ecde629ec8d71c221c8825

tdf#48622, tdf#145828 use correct default for border line width

It will be available in 7.3.0.0.beta2.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 40 stragu 2022-01-26 12:33:55 UTC
verified in:

Version: 7.3.0.2 / LibreOffice Community
Build ID: f1c9017ac60ecca268da7b1cf147b10e244b9b21
CPU threads: 8; OS: Linux 5.4; UI render: default; VCL: gtk3
Locale: en-AU (en_AU.UTF-8); UI: en-US
Calc: threaded